Module | Tk::BWidget::DropSite
In: | tk/lib/tkextlib/bwidget/dropsite.rb

### Methods

include register set_cursor set_drop set_operation

### Included Modules

Tk

### Public Class methods

include(klass, type)

[Source]

    # File tk/lib/tkextlib/bwidget/dropsite.rb, line 20
      def self.include(klass, type)
        tk_call('DropSite::include', klass, type)
      end

register(path, keys={})

[Source]

    # File tk/lib/tkextlib/bwidget/dropsite.rb, line 24
      def self.register(path, keys={})
        tk_call('DropSite::register', path, *hash_kv(keys))
      end

set_cursor(cursor)

[Source]

    # File tk/lib/tkextlib/bwidget/dropsite.rb, line 28
      def self.set_cursor(cursor)
        tk_call('DropSite::setcursor', cursor)
      end

set_drop(path, subpath, dropover, drop, force=None)

[Source]

    # File tk/lib/tkextlib/bwidget/dropsite.rb, line 32
      def self.set_drop(path, subpath, dropover, drop, force=None)
        tk_call('DropSite::setdrop', path, subpath, dropover, drop, force)
      end

set_operation(op)

[Source]

    # File tk/lib/tkextlib/bwidget/dropsite.rb, line 36
      def self.set_operation(op)
        tk_call('DropSite::setoperation', op)
      end

[Validate]